Bug 198283 - bcm43xx excessive debug logging to syslog
bcm43xx excessive debug logging to syslog
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 16:39 EDT by Robert Story
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 11:19:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Story 2006-07-10 16:39:18 EDT
Description of problem:
I'm using the bcm43xx wireless driver at a conference I'm attending. One of the
many issues I'm having is a lot of debug messages in /var/log/messages, along
these lines:

Jul 10 16:32:27 spx kernel: ieee80211: eth1: IEEE80211_REASSOC_REQ received
Jul 10 16:32:27 spx kernel: SoftMAC: reassoc request from unknown network
Jul 10 16:32:56 spx kernel: ieee80211: eth1: IEEE80211_ASSOC_REQ received

This may have something to do with the quality of the network, but these don't
seem like critical messages that need to be logged.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. load module & connect to network
Actual results:
lots of syslog debug messages

Expected results:
no syslog debug messages

Additional info:
Comment 1 John W. Linville 2006-07-11 11:19:59 EDT
The messages result from the config options CONFIG_IEEE80211_DEBUG and 
CONFIG_IEEE80211_SOFTMAC_DEBUG.  Given the relative lack of maturity in those 
components, I'd prefer not to turn those off at the moment.

I apologize for the inconvenience.  I'm sure we will turn them off eventually, 
I'm just not sure when (probably not in FC5).

Note You need to log in before you can comment on or make changes to this bug.